org.apache.solr.analytics.request

## Class RangeFacetRequest

- java.lang.Object
- - org.apache.solr.analytics.request.AbstractFieldFacetRequest
  - - org.apache.solr.analytics.request.RangeFacetRequest

- All Implemented Interfaces:
    FacetRequest

      public class RangeFacetRequest
      extends AbstractFieldFacetRequest

  Contains all of the specifications for a range facet.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `end`
    `protected String[]` | `gaps`
    `protected boolean` | `hardEnd`
    `protected EnumSet<FacetParams.FacetRangeInclude>` | `include`
    `protected boolean` | `includeCalled`
    `protected EnumSet<FacetParams.FacetRangeOther>` | `others`
    `protected boolean` | `othersCalled`
    `protected String` | `start`

    - ### Fields inherited from class org.apache.solr.analytics.request.AbstractFieldFacetRequest

      `field`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RangeFacetRequest(SchemaField field)`
    `RangeFacetRequest(SchemaField field, String start, String end, String[] gaps)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addInclude(FacetParams.FacetRangeInclude include)`
    `void` | `addOther(FacetParams.FacetRangeOther other)`
    `String` | `getEnd()`
    `String[]` | `getGaps()`
    `EnumSet<FacetParams.FacetRangeInclude>` | `getInclude()`
    `EnumSet<FacetParams.FacetRangeOther>` | `getOthers()`
    `String` | `getStart()`
    `boolean` | `isHardEnd()`
    `void` | `setEnd(String end)`
    `void` | `setGaps(String[] gaps)`
    `void` | `setHardEnd(boolean hardEnd)`
    `void` | `setInclude(EnumSet<FacetParams.FacetRangeInclude> include)`
    `void` | `setOthers(EnumSet<FacetParams.FacetRangeOther> others)`
    `void` | `setStart(String start)`
    `String` | `toString()`

    - ### Methods inherited from class org.apache.solr.analytics.request.AbstractFieldFacetRequest

      `getField, getName, setField`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### start

          protected String start

    - #### end

          protected String end

    - #### gaps

          protected String[] gaps

    - #### hardEnd

          protected boolean hardEnd

    - #### include

          protected EnumSet<FacetParams.FacetRangeInclude> include

    - #### includeCalled

          protected boolean includeCalled

    - #### others

          protected EnumSet<FacetParams.FacetRangeOther> others

    - #### othersCalled

          protected boolean othersCalled

  - ### Constructor Detail

    - #### RangeFacetRequest

          public RangeFacetRequest(SchemaField field)

    - #### RangeFacetRequest

          public RangeFacetRequest(SchemaField field,
                                   String start,
                                   String end,
                                   String[] gaps)

  - ### Method Detail

    - #### getStart

          public String getStart()

    - #### setStart

          public void setStart(String start)

    - #### getEnd

          public String getEnd()

    - #### setEnd

          public void setEnd(String end)

    - #### getInclude

          public EnumSet<FacetParams.FacetRangeInclude> getInclude()

    - #### setInclude

          public void setInclude(EnumSet<FacetParams.FacetRangeInclude> include)

    - #### addInclude

          public void addInclude(FacetParams.FacetRangeInclude include)

    - #### getGaps

          public String[] getGaps()

    - #### setGaps

          public void setGaps(String[] gaps)

    - #### isHardEnd

          public boolean isHardEnd()

    - #### setHardEnd

          public void setHardEnd(boolean hardEnd)

    - #### getOthers

          public EnumSet<FacetParams.FacetRangeOther> getOthers()

    - #### setOthers

          public void setOthers(EnumSet<FacetParams.FacetRangeOther> others)

    - #### addOther

          public void addOther(FacetParams.FacetRangeOther other)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.